const refreshStore = defineStore("refresh_sd", {
  state: () => ({
    refresh: {},
  }),
  actions: {
    setRefresh(label) {
      let $chars = "ABCDEFGHJKMNPQRSTWXYZabcdefhijkmnprstwxyz2345678";
      let maxPos = $chars.length;
      let random = "";
      for (let i = 0; i < 32; i++) {
        random += $chars.charAt(Math.floor(Math.random() * maxPos));
      }
      this.refresh[label] = random;
    },
  },
});

export default refreshStore;
